# lugins/osg/Image.cpp File Reference

`#include "osg/Image"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Image.cpp:

## Functions

bool | Image_readLocalData (Object &obj, Input &fr)
bool | Image_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_ImageFuncProxy (new osg::Image,"Image","Object Image",&Image_readLocalData,&Image_writeLocalData)

## Function Documentation

bool Image_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Image_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ImageFuncProxy(new osg::Image,"Image","Object Image",&Image_readLocalData,&Image_writeLocalData)